Subject: Re: CCL:Autodock 3.0.5 Linux compile--solution

From: Kenward Vaughan <[email-masked]>
Date: Mon, 30 Apr 2001 10:00:04 -0700

On Sat, Apr 21, 2001 at 01:21:33PM -0700, Kenward Vaughan wrote:
> Hello,
> 
> I've just tried compiling v. 3.0.5 on my Debian box (Athlon cpu, FWIW) and
> the linking stage died on me. My Makefile was a duplicate of the suggested
> Linux changes found on the site off of the Autodock page. I also tried
> compiling autogrid--it gets toasted too.
...

The cause of this turned out to be improper include statements in the
identical files src/autodock/get_atom_type.cc and
src/autogrid/get_atom_type.c.  I appreciate the efforts of Szilveszter Juhos
and Hetenyi Csaba to work with me, as I know no one in this neck of the
woods who could have helped.  (Efforts to contact Garrett Morris in Olson's
group met with no reply; I am a bit puzzled about that part.)

The changes I made to those files were as follows:

/* get_atom_type.cc */

/* #ifdef sgi */			<--- commented out
    #include <stdio.h>
    #include "get_atom_type.h"
/*#else					<--- commented out from here...
    extern "C"
    {
        #include <stdio.h>
        #include "get_atom_type.h"
    }
#endif */				<--- to here!
...

Hope this information is beneficial to others!

Kenward Vaughan
-- 
It is not so very important for a person to learn facts.  For that he
doesn't really need a college education, for he can learn them from
books.  The value of an education in a liberal arts college is not the
learning of many facts but the training of the mind to thinking--something
that cannot be learned from books.     Albert Einstein